%define name	defendguin
%define version	0.0.10
%define release	4mdk
%define	summary	A Defender Clone

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/defendguin/defendguin-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
License:	GPL 
Url:		http://newbreedsoftware.com/defendguin
Group:		Games/Arcade 
BuildRequires:	SDL_mixer-devel XFree86-devel alsa-lib-devel esound-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Patch:		%{name}-0.0.5-fix-CFLAGS.patch.bz2

%description
Defendguin is going to be a clone of the arcade game "Defender," but with a
Linux theme. Your mission is to defend little penguinoids from being captured
and mutated by... well, you know who.

%prep
%setup -q
%patch0 -p1

%build
%make CFLAGS="%{optflags}" PREFIX=%{_prefix} BIN_PREFIX=%{_gamesbindir} DATA_PREFIX=%{_gamesdatadir}/%{name}/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_gamesbindir},%{_mandir}/man6}
%make install PREFIX=$RPM_BUILD_ROOT%{_prefix} BIN_PREFIX=$RPM_BUILD_ROOT%{_gamesbindir} \
DATA_PREFIX=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/ MAN_PREFIX=$RPM_BUILD_ROOT%{_datadir}

install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Amusement/Arcade" \
title="Defendguin" \
longtitle="%{summary}" \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS.txt CHANGES.txt README.txt
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Jan  2 2004 Pixel <pixel@mandrakesoft.com> 0.0.10-4mdk
- rebuild

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.10-3mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Opps, forgot to specify full datapath in build stage
	- Use correct macro; _datadir/games -> _gamesdatadir

* Mon Nov 11 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.0.10-2mdk
- Fix icons, did'nt show up, made them transparent
- Put stuff in the right places
- Removed obsolete Prefix tag
- Cleanups

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.0.10-1mdk
- fix menu group
- fix file permissions for rpmlint
- quiet tar
- used spec file from Charles A Edwards <eslrahc@bellsouth.net>
  - 0.0.10
  - Remove requires for TiMidity++
  - Add Mandrake menu
  - Add icons

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.9-4mdk
- rebuild

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 0.0.9-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 0.0.9-2mdk
- rebuild for new libasound (alsa)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 0.0.9-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-8mdk
- BuildRequires

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-7mdk
- BuildRequires: libSDL-devel XFree86-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.0.6-6mdk
- add requires TiMidity++

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.0.6-5mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 0.0.6-4mdk
- rebuild with new SDL

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0.0.6-3mdk
- rebuild for new libSDL_mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 0.0.6-2mdk
- rebuild, build req

* Sun Nov 26 2000 Pixel <pixel@mandrakesoft.com> 0.0.6-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.0.5-3mdk
- capitalize summary

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.0.5-2mdk
- rebuild

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 0.0.5-1mdk
- initial spec
